Index: pro-violet-viettel/docs/db/violet-viettel-13.11.2014.sql
===================================================================
--- pro-violet-viettel/docs/db/violet-viettel-13.11.2014.sql	(revision 485)
+++ pro-violet-viettel/docs/db/violet-viettel-13.11.2014.sql	(revision 485)
@@ -0,0 +1,185 @@
+-- phpMyAdmin SQL Dump
+-- version 4.0.10deb1
+-- http://www.phpmyadmin.net
+--
+-- Host: localhost
+-- Generation Time: Nov 13, 2014 at 03:36 PM
+-- Server version: 5.5.38-0ubuntu0.14.04.1
+-- PHP Version: 5.5.9-1ubuntu4.4
+
+SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
+SET time_zone = "+00:00";
+
+
+/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
+/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
+/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
+/*!40101 SET NAMES utf8 */;
+
+--
+-- Database: `violet-viettel`
+--
+
+-- --------------------------------------------------------
+
+--
+-- Table structure for table `tbladmin`
+--
+
+CREATE TABLE IF NOT EXISTS `tbladmin` (
+  `admin_id` int(11) NOT NULL AUTO_INCREMENT,
+  `login_name` varchar(45) CHARACTER SET latin1 NOT NULL,
+  `passwd` varchar(65) CHARACTER SET latin1 NOT NULL,
+  `full_name` varchar(45) CHARACTER SET latin1 NOT NULL,
+  `email` varchar(45) CHARACTER SET latin1 DEFAULT NULL,
+  `phone` varchar(15) CHARACTER SET latin1 DEFAULT NULL,
+  `created_time` datetime DEFAULT NULL,
+  `updated_time` datetime DEFAULT NULL,
+  `author` int(11) DEFAULT NULL,
+  PRIMARY KEY (`admin_id`)
+) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;
+
+-- --------------------------------------------------------
+
+--
+-- Table structure for table `tbladminrole`
+--
+
+CREATE TABLE IF NOT EXISTS `tbladminrole` (
+  `role_id` int(11) NOT NULL AUTO_INCREMENT,
+  `role_name` varchar(45) CHARACTER SET latin1 NOT NULL,
+  PRIMARY KEY (`role_id`)
+) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
+
+-- --------------------------------------------------------
+
+--
+-- Table structure for table `tblcardlog`
+--
+
+CREATE TABLE IF NOT EXISTS `tblcardlog` (
+  `id` int(11) NOT NULL,
+  `sender` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
+  `us_id` int(11) DEFAULT NULL,
+  `pin_code` varchar(45) CHARACTER SET latin1 DEFAULT NULL,
+  `serial_num` varchar(45) CHARACTER SET latin1 DEFAULT NULL,
+  `card_value` int(11) DEFAULT NULL,
+  `created_time` datetime NOT NULL,
+  PRIMARY KEY (`id`)
+) ENGINE=InnoDB DEFAULT CHARSET=utf8;
+
+-- --------------------------------------------------------
+
+--
+-- Table structure for table `tblcollaborator`
+--
+
+CREATE TABLE IF NOT EXISTS `tblcollaborator` (
+  `id` int(11) NOT NULL AUTO_INCREMENT,
+  `full_name` varchar(45) CHARACTER SET latin1 NOT NULL,
+  `login_name` varchar(45) CHARACTER SET latin1 NOT NULL,
+  `cellphone` varchar(15) CHARACTER SET latin1 NOT NULL,
+  `passwd` varchar(65) CHARACTER SET latin1 NOT NULL,
+  `activated` tinyint(4) NOT NULL DEFAULT '1',
+  `created_time` datetime DEFAULT NULL,
+  `updated_time` datetime DEFAULT NULL,
+  `author` int(11) DEFAULT NULL,
+  PRIMARY KEY (`id`)
+) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=501 ;
+
+-- --------------------------------------------------------
+
+--
+-- Table structure for table `tblpaidlog`
+--
+
+CREATE TABLE IF NOT EXISTS `tblpaidlog` (
+  `paid_id` bigint(11) NOT NULL AUTO_INCREMENT,
+  `us_id` int(11) NOT NULL,
+  `paid_type` tinyint(11) NOT NULL DEFAULT '0' COMMENT '1:SMS; 2:CARD;',
+  `amount` int(11) NOT NULL DEFAULT '0',
+  `paid_time` datetime DEFAULT NULL,
+  PRIMARY KEY (`paid_id`)
+) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5001 ;
+
+-- --------------------------------------------------------
+
+--
+-- Table structure for table `tblservicepackage`
+--
+
+CREATE TABLE IF NOT EXISTS `tblservicepackage` (
+  `p_id` int(11) NOT NULL AUTO_INCREMENT,
+  `p_name` varchar(50) NOT NULL,
+  `p_period` int(11) NOT NULL,
+  `p_price` int(11) NOT NULL,
+  PRIMARY KEY (`p_id`)
+) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
+
+-- --------------------------------------------------------
+
+--
+-- Table structure for table `tblsmslog`
+--
+
+CREATE TABLE IF NOT EXISTS `tblsmslog` (
+  `id` int(11) NOT NULL AUTO_INCREMENT,
+  `sender` varchar(255) CHARACTER SET latin1 NOT NULL,
+  `us_id` int(11) DEFAULT NULL,
+  `mobody` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
+  `mtbody` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
+  `created_time` datetime DEFAULT NULL,
+  PRIMARY KEY (`id`)
+) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
+
+-- --------------------------------------------------------
+
+--
+-- Table structure for table `tblsmstemplate`
+--
+
+CREATE TABLE IF NOT EXISTS `tblsmstemplate` (
+  `sms_id` int(11) NOT NULL AUTO_INCREMENT,
+  `sms_content` varchar(255) CHARACTER SET latin1 NOT NULL,
+  `sms_reply` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
+  `reponse_url` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
+  `service_id` varchar(45) DEFAULT NULL,
+  `commandcode` varchar(45) DEFAULT NULL,
+  PRIMARY KEY (`sms_id`)
+) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=50 ;
+
+-- --------------------------------------------------------
+
+--
+-- Table structure for table `tbluser`
+--
+
+CREATE TABLE IF NOT EXISTS `tbluser` (
+  `us_id` int(11) NOT NULL,
+  `cellphone` varchar(15) CHARACTER SET latin1 NOT NULL,
+  `collaborator` int(11) DEFAULT NULL,
+  `acc_balanced` bigint(20) NOT NULL DEFAULT '0',
+  `expire_date` date NOT NULL,
+  `created_time` datetime NOT NULL,
+  `updated_time` datetime DEFAULT NULL,
+  `p_Id` int(11) NOT NULL,
+  PRIMARY KEY (`us_id`)
+) ENGINE=InnoDB DEFAULT CHARSET=utf8;
+
+-- --------------------------------------------------------
+
+--
+-- Table structure for table `tblwebservice`
+--
+
+CREATE TABLE IF NOT EXISTS `tblwebservice` (
+  `service_id` int(11) NOT NULL AUTO_INCREMENT,
+  `service_name` varchar(45) CHARACTER SET latin1 NOT NULL,
+  `address` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
+  `uri` varchar(255) CHARACTER SET latin1 DEFAULT NULL,
+  PRIMARY KEY (`service_id`)
+) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
+
+/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
+/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
+/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;