Index: pro-violet-viettel/docs/Space-update-logo/Space/frontend-user_profile.html
===================================================================
--- pro-violet-viettel/docs/Space-update-logo/Space/frontend-user_profile.html	(revision 316)
+++ pro-violet-viettel/docs/Space-update-logo/Space/frontend-user_profile.html	(revision 490)
@@ -3,5 +3,5 @@
 	<head>
 		<meta charset="utf-8" />
-		<title>SBG Online</title>
+		<title>SOáº N BÃI GIáº¢NG ONLINE</title>
 
 		<meta name="description" content="overview &amp; stats" />
@@ -19,4 +19,5 @@
 		<script src="assets/js/ace-extra.min.js"></script>
 
+		<link href="assets/css/custom.css" rel="stylesheet" />
 		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
 
@@ -29,8 +30,4 @@
 	<body>
 		<div class="navbar navbar-default navbar-fixed-top" id="navbar">
-			<script type="text/javascript">
-				try{ace.settings.check('navbar' , 'fixed')}catch(e){}
-			</script>
-
 			<div class="navbar-container" id="navbar-container">
 				<div class="navbar-header pull-left">
@@ -44,5 +41,4 @@
 						<li>
 							<a data-toggle="dropdown" href="#" class="dropdown-toggle">
-								<img class="nav-user-photo" src="assets/avatars/user.jpg" alt="Admin's Photo" />
 								<span class="user-info">
 									<small>Xin chÃ o,</small>
@@ -77,8 +73,4 @@
 
 		<div class="main-container" id="main-container">
-			<script type="text/javascript">
-				try{ace.settings.check('main-container' , 'fixed')}catch(e){}
-			</script>
-
 			<div class="main-container-inner">
 				<a class="menu-toggler" id="menu-toggler" href="#">
@@ -86,28 +78,5 @@
 				</a>
 
-				<div class="sidebar sidebar-fixed" id="sidebar">
-					<script type="text/javascript">
-						try{ace.settings.check('sidebar' , 'fixed')}catch(e){}
-					</script>
-
-					<div class="sidebar-shortcuts" id="sidebar-shortcuts">
-						<div class="sidebar-shortcuts-large" id="sidebar-shortcuts-large" style="line-height:normal">
-							<div data-percent="66%" class="progress progress-striped active" style="margin-bottom:0">
-								<div style="width:66%;" class="progress-bar"></div>
-							</div>
-							<span>66 GB / 100 GB</span>
-						</div>
-
-						<div class="sidebar-shortcuts-mini" id="sidebar-shortcuts-mini">
-							<span class="btn btn-success"></span>
-
-							<span class="btn btn-info"></span>
-
-							<span class="btn btn-warning"></span>
-
-							<span class="btn btn-danger"></span>
-						</div>
-					</div><!-- #sidebar-shortcuts -->
-
+				<div class="sidebar sidebar-fixed" id="sidebar">				
 					<nav class="navbar navbar-minimal animate open" role="navigation" style="background:transparent">
 						<ul class="navbar-menu animate">
@@ -119,17 +88,11 @@
 							</li>
 							<li>
-								<a href="http://space.violet.vn" class="animate">
-									<span class="desc animate"> Violet Space </span>
-									<img src="assets/img/logo_Violet_space_black_box.png" width="28" class="img-responsive pull-right">
-								</a>
-							</li>
-							<li>
-								<a href="#" class="animate">
+								<a href="frontend-user_profile.html#account-info" class="animate">
 									<span class="desc animate"> Thanh toÃ¡n </span>
 									<img src="assets/img/payment.png" width="28" class="img-responsive pull-right">
 								</a>
-							</li>
+							</li>							
 							<li>
-								<a href="user_profile.html" class="animate">
+								<a href="frontend-user_profile.html" class="animate">
 									<span class="desc animate"> ThÃŽng tin cÃ¡ nhÃ¢n </span>
 									<img src="assets/img/profile.png" width="28" class="img-responsive pull-right">
@@ -166,5 +129,4 @@
 									<div class="col-sm-offset-1 col-sm-10">
 
-										<form class="form-horizontal">
 											<div class="tabbable">
 												<ul class="nav nav-tabs padding-16">
@@ -182,23 +144,234 @@
 														</a>
 													</li>
+													<li>
+														<a href="#account-info" data-toggle="tab">
+															<img src="assets/img/payment.png" width="16" class="img-responsive pull-left">
+															ThÃŽng tin tÃ i khoáº£n
+														</a>
+													</li>
+													<li>
+														<a href="#services-register" data-toggle="tab">
+															<i class="blue icon-cog bigger-125"></i>
+															ÄÄng kÃœ dá»ch vá»¥
+														</a>
+													</li>
 												</ul>
 
 												<div class="tab-content profile-edit-tab-content">
 													<div class="tab-pane in active" id="edit-basic">
-														<h4 class="header blue bolder smaller">ThÃŽng tin chung</h4>
-
-														<div class="row">
-															<div class="col-xs-12 col-sm-4">
-																<div class="ace-file-input ace-file-multiple"><input type="file"><a href="#" class="remove"><i class="icon-remove"></i></a></div>
-															</div>
-
-															<div class="vspace-xs"></div>
-
-															<div class="col-xs-12 col-sm-8">
+														<form class="form-horizontal">
+															<h4 class="header blue bolder smaller">ThÃŽng tin chung</h4>
+
+															<div class="row">
+
+																<div class="vspace-xs"></div>
+
+																<div class="col-xs-12 col-sm-8">
+																	<div class="form-group">
+																		<label for="form-field-username" class="col-sm-4 control-label no-padding-right">TÃ i khoáº£n</label>
+
+																		<div class="col-sm-8">
+																			<input type="text" value="0918273645" placeholder="TÃ i khoáº£n" id="form-field-username" class="col-xs-12 col-sm-10" disabled>
+																		</div>
+																	</div>
+
+																	<div class="space-4"></div>
+
+																	<div class="form-group">
+																		<label for="form-field-first" class="col-sm-4 control-label no-padding-right">Há» vÃ  tÃªn</label>
+
+																		<div class="col-sm-8">
+																			<input type="text" value="" placeholder="Há»" id="form-field-first" class="input-small">
+																			<input type="text" value="" placeholder="TÃªn" id="form-field-last" class="input-small">
+																		</div>
+																	</div>
+
+																	<div class="space-4"></div>
+
+																	<div class="form-group">
+																		<label for="form-field-username" class="col-sm-4 control-label no-padding-right">ÄÆ¡n vá»</label>
+
+																		<div class="col-sm-8">
+																			<input type="text" placeholder="ÄÆ¡n vá»" id="form-field-username" class="col-xs-12 col-sm-10">
+																		</div>
+																	</div>
+
+																</div>
+															</div>
+
+															<hr>
+															<div class="form-group">
+																<label for="form-field-date" class="col-sm-3 control-label no-padding-right">NgÃ y sinh</label>
+
+																<div class="col-sm-9">
+																	<div class="input-medium">
+																		<div class="input-group">
+																			<input type="text" placeholder="dd-mm-yyyy" data-date-format="dd-mm-yyyy" id="form-field-date" class="input-medium date-picker">
+																			<span class="input-group-addon">
+																				<i class="icon-calendar"></i>
+																			</span>
+																		</div>
+																	</div>
+																</div>
+															</div>
+
+															<div class="space-4"></div>
+
+															<div class="form-group">
+																<label class="col-sm-3 control-label no-padding-right">Giá»i tÃ­nh</label>
+
+																<div class="col-sm-9">
+																	<label class="inline">
+																		<input type="radio" class="ace" name="form-field-radio">
+																		<span class="lbl"> Nam</span>
+																	</label>
+
+																	&nbsp; &nbsp; &nbsp;
+																	<label class="inline">
+																		<input type="radio" class="ace" name="form-field-radio">
+																		<span class="lbl"> Ná»¯</span>
+																	</label>
+																</div>
+															</div>
+
+															<div class="space"></div>
+															<h4 class="header blue bolder smaller">ThÃŽng tin liÃªn há»</h4>
+
+															<div class="form-group">
+																<label for="form-field-email" class="col-sm-3 control-label no-padding-right">Email</label>
+
+																<div class="col-sm-9">
+																	<span class="input-icon input-icon-right">
+																		<input type="email" value="" id="form-field-email">
+																		<i class="icon-envelope"></i>
+																	</span>
+																</div>
+															</div>
+
+															<div class="space-4"></div>
+
+															<div class="form-group">
+																<label for="form-field-website" class="col-sm-3 control-label no-padding-right">Website</label>
+
+																<div class="col-sm-9">
+																	<span class="input-icon input-icon-right">
+																		<input type="url" value="" id="form-field-website">
+																		<i class="icon-globe"></i>
+																	</span>
+																</div>
+															</div>
+
+															<div class="space"></div>
+															<h4 class="header blue bolder smaller">Máº¡ng xÃ£ há»i</h4>
+
+															<div class="form-group">
+																<label for="form-field-facebook" class="col-sm-3 control-label no-padding-right">Facebook</label>
+
+																<div class="col-sm-9">
+																	<span class="input-icon">
+																		<input type="text" id="form-field-facebook" value="">
+																		<i class="icon-facebook blue"></i>
+																	</span>
+																</div>
+															</div>
+
+															<div class="space-4"></div>
+
+															<div class="form-group">
+																<label for="form-field-twitter" class="col-sm-3 control-label no-padding-right">Twitter</label>
+
+																<div class="col-sm-9">
+																	<span class="input-icon">
+																		<input type="text" id="form-field-twitter" value="">
+																		<i class="icon-twitter light-blue"></i>
+																	</span>
+																</div>
+															</div>
+
+															<div class="space-4"></div>
+
+															<div class="form-group">
+																<label for="form-field-gplus" class="col-sm-3 control-label no-padding-right">Google+</label>
+
+																<div class="col-sm-9">
+																	<span class="input-icon">
+																		<input type="text" id="form-field-gplus" value="">
+																		<i class="icon-google-plus red"></i>
+																	</span>
+																</div>
+															</div>
+															<div class="clearfix form-actions">
+																<div class="col-md-offset-3 col-md-9">
+																	<button type="button" class="btn btn-info">
+																		<i class="icon-ok bigger-110"></i>
+																		LÆ°u láº¡i
+																	</button>
+
+																	&nbsp; &nbsp;
+																	<button type="reset" class="btn">
+																		<i class="icon-undo bigger-110"></i>
+																		XÃ³a háº¿t
+																	</button>
+																</div>
+															</div>
+														</form>
+													</div>
+
+													<div class="tab-pane" id="edit-password">
+														<form class="form-horizontal">
+															<div class="space-10"></div>
+
+															<div class="form-group">
+																<label for="form-field-pass1" class="col-sm-3 control-label no-padding-right">Máº­t kháº©u má»i</label>
+
+																<div class="col-sm-9">
+																	<input type="password" id="form-field-pass1">
+																</div>
+															</div>
+
+															<div class="space-4"></div>
+
+															<div class="form-group">
+																<label for="form-field-pass2" class="col-sm-3 control-label no-padding-right">Nháº­p láº¡i máº­t kháº©u</label>
+
+																<div class="col-sm-9">
+																	<input type="password" id="form-field-pass2">
+																</div>
+															</div>
+
+															<div class="clearfix form-actions">
+																<div class="col-md-offset-3 col-md-9">
+																	<button type="button" class="btn btn-info">
+																		<i class="icon-ok bigger-110"></i>
+																		LÆ°u láº¡i
+																	</button>
+
+																	&nbsp; &nbsp;
+																	<button type="reset" class="btn">
+																		<i class="icon-undo bigger-110"></i>
+																		XÃ³a háº¿t
+																	</button>
+																</div>
+															</div>
+														</form>
+													</div>
+
+													<div class="tab-pane" id="account-info">
+														<form class="form-horizontal">
+															<h4 class="header blue bolder smaller">ThÃŽng tin tÃ i khoáº£n</h4>
+															<div class="col-sm-6">
+																<h4>Sá» tiá»n </h4> <h3>10.000.000 VND</h3>
+															</div>
+															<div class="col-sm-6">
+																<h4>Thá»i báº¡n sá»­ dá»¥ng </h4> <h3>31/10/2014 <span class="badge">10 ngÃ y cÃ²n láº¡i</span></h3>
+															</div>
+
+															<h4 class="header blue bolder smaller">Náº¡p tiá»n báº±ng tháº» cÃ o Viettel</h4>
+															<div class="col-sm-8">
 																<div class="form-group">
-																	<label for="form-field-username" class="col-sm-4 control-label no-padding-right">TÃ i khoáº£n</label>
-
-																	<div class="col-sm-8">
-																		<input type="text" value="0918273645" placeholder="TÃ i khoáº£n" id="form-field-username" class="col-xs-12 col-sm-10" disabled>
+																	<label for="form-field-pass1" class="col-sm-2 control-label no-padding-right">MÃ£ tháº»</label>
+
+																	<div class="col-sm-10">
+																		<input type="text" id="form-field-pass1" class="form-control">
 																	</div>
 																</div>
@@ -207,186 +380,97 @@
 
 																<div class="form-group">
-																	<label for="form-field-first" class="col-sm-4 control-label no-padding-right">Há» vÃ  tÃªn</label>
-
-																	<div class="col-sm-8">
-																		<input type="text" value="" placeholder="Há»" id="form-field-first" class="input-small">
-																		<input type="text" value="" placeholder="TÃªn" id="form-field-last" class="input-small">
+																	<label for="form-field-pass2" class="col-sm-2 control-label no-padding-right">Serial</label>
+
+																	<div class="col-sm-10">
+																		<input type="text" id="form-field-pass2" class="form-control">
 																	</div>
 																</div>
-
+															</div>
+															<div class="col-sm-4">
+																<button type="button" class="btn btn-success" data-toggle="modal" data-target="#alert-payment">
+																	<i class="icon-ok bigger-110"></i>
+																	Tiáº¿p tá»¥c
+																</button>
 																<div class="space-4"></div>
-
-																<div class="form-group">
-																	<label for="form-field-username" class="col-sm-4 control-label no-padding-right">ÄÆ¡n vá»</label>
-
-																	<div class="col-sm-8">
-																		<input type="text" placeholder="ÄÆ¡n vá»" id="form-field-username" class="col-xs-12 col-sm-10">
-																	</div>
-																</div>
-
-																<div class="space-4"></div>
-
-																<div class="form-group">
-																	<label for="form-field-username" class="col-sm-4 control-label no-padding-right">Sá» tiá»n</label>
-
-																	<div class="col-sm-8">
-																		<input type="text" placeholder="Sá» tiá»n" id="form-field-username" class="col-xs-12 col-sm-10">
-																	</div>
-																</div>
-
-																<div class="space-4"></div>
-
-																<div class="form-group">
-																	<label for="form-field-username" class="col-sm-4 control-label no-padding-right">Thá»i háº¡n sá»­ dá»¥ng dá»ch vá»¥</label>
-
-																	<div class="col-sm-8">
-																		<input type="text" value="1/10/2020" placeholder="" id="form-field-username" class="col-xs-12 col-sm-10" disabled>
-																	</div>
-																</div>
-															</div>
-														</div>
-
-														<hr>
-														<div class="form-group">
-															<label for="form-field-date" class="col-sm-3 control-label no-padding-right">NgÃ y sinh</label>
-
-															<div class="col-sm-9">
-																<div class="input-medium">
-																	<div class="input-group">
-																		<input type="text" placeholder="dd-mm-yyyy" data-date-format="dd-mm-yyyy" id="form-field-date" class="input-medium date-picker">
-																		<span class="input-group-addon">
-																			<i class="icon-calendar"></i>
-																		</span>
-																	</div>
-																</div>
-															</div>
-														</div>
-
-														<div class="space-4"></div>
-
-														<div class="form-group">
-															<label class="col-sm-3 control-label no-padding-right">Giá»i tÃ­nh</label>
-
-															<div class="col-sm-9">
-																<label class="inline">
-																	<input type="radio" class="ace" name="form-field-radio">
-																	<span class="lbl"> Nam</span>
-																</label>
-
-																&nbsp; &nbsp; &nbsp;
-																<label class="inline">
-																	<input type="radio" class="ace" name="form-field-radio">
-																	<span class="lbl"> Ná»¯</span>
-																</label>
-															</div>
-														</div>
-
-														<div class="space"></div>
-														<h4 class="header blue bolder smaller">ThÃŽng tin liÃªn há»</h4>
-
-														<div class="form-group">
-															<label for="form-field-email" class="col-sm-3 control-label no-padding-right">Email</label>
-
-															<div class="col-sm-9">
-																<span class="input-icon input-icon-right">
-																	<input type="email" value="" id="form-field-email">
-																	<i class="icon-envelope"></i>
-																</span>
-															</div>
-														</div>
-
-														<div class="space-4"></div>
-
-														<div class="form-group">
-															<label for="form-field-website" class="col-sm-3 control-label no-padding-right">Website</label>
-
-															<div class="col-sm-9">
-																<span class="input-icon input-icon-right">
-																	<input type="url" value="" id="form-field-website">
-																	<i class="icon-globe"></i>
-																</span>
-															</div>
-														</div>
-
-														<div class="space"></div>
-														<h4 class="header blue bolder smaller">Máº¡ng xÃ£ há»i</h4>
-
-														<div class="form-group">
-															<label for="form-field-facebook" class="col-sm-3 control-label no-padding-right">Facebook</label>
-
-															<div class="col-sm-9">
-																<span class="input-icon">
-																	<input type="text" id="form-field-facebook" value="">
-																	<i class="icon-facebook blue"></i>
-																</span>
-															</div>
-														</div>
-
-														<div class="space-4"></div>
-
-														<div class="form-group">
-															<label for="form-field-twitter" class="col-sm-3 control-label no-padding-right">Twitter</label>
-
-															<div class="col-sm-9">
-																<span class="input-icon">
-																	<input type="text" id="form-field-twitter" value="">
-																	<i class="icon-twitter light-blue"></i>
-																</span>
-															</div>
-														</div>
-
-														<div class="space-4"></div>
-
-														<div class="form-group">
-															<label for="form-field-gplus" class="col-sm-3 control-label no-padding-right">Google+</label>
-
-															<div class="col-sm-9">
-																<span class="input-icon">
-																	<input type="text" id="form-field-gplus" value="">
-																	<i class="icon-google-plus red"></i>
-																</span>
-															</div>
-														</div>
+																<a href="#" data-toggle="modal" data-target="#trade-history"><i class="icon-archive"></i> Lá»ch sá»­ giao dá»ch</a>
+															</div>
+															<div class="clearfix">
+																
+															</div>
+															<h4 class="header blue bolder smaller">Náº¡p tiá»n báº±ng tÃ i khoáº£n gá»c</h4>
+															<div class="alert alert-block alert-success">						
+																<p>
+																	Sá»­ dá»¥ng thuÃª bao <strong>016825764</strong> soáº¡n tin nháº¯n: <strong>SBG NAP [sotien] gá»­i 8062</strong>. <br/>
+																	Náº¿u quÃ­ vá» sá»­ dá»¥ng thuÃª bao Viettel khÃ¡c thÃ¬ soáº¡n tin nháº¯n: <strong>SBG NAP [tentruynhap] 
+																	[sotien] gá»­i tá»i 8062</strong>.
+																</p>
+															</div>
+														</form>
 													</div>
 
-													<div class="tab-pane" id="edit-password">
-														<div class="space-10"></div>
-
-														<div class="form-group">
-															<label for="form-field-pass1" class="col-sm-3 control-label no-padding-right">Máº­t kháº©u má»i</label>
-
-															<div class="col-sm-9">
-																<input type="password" id="form-field-pass1">
-															</div>
-														</div>
-
-														<div class="space-4"></div>
-
-														<div class="form-group">
-															<label for="form-field-pass2" class="col-sm-3 control-label no-padding-right">Nháº­p láº¡i máº­t kháº©u</label>
-
-															<div class="col-sm-9">
-																<input type="password" id="form-field-pass2">
-															</div>
-														</div>
+													<div class="tab-pane" id="services-register">
+														<form class="form-horizontal">
+															<h4 class="header blue bolder smaller">ThÃŽng tin tÃ i khoáº£n</h4>
+															<div class="col-sm-6">
+																<h4>Sá» tiá»n </h4> <h3>10.000.000 VND</h3>
+															</div>
+															<div class="col-sm-6">
+																<h4>Thá»i báº¡n sá»­ dá»¥ng </h4> <h3>31/10/2014 <span class="badge">10 ngÃ y cÃ²n láº¡i</span></h3>
+															</div>
+															<h4 class="header blue bolder smaller">ÄÄng kÃœ dá»ch vá»¥</h4>
+															<h5>CÃ¡ch 1: Má»i quÃ­ vá» chá»n cÃ¡c gÃ³i dá»ch vá»¥ sau</h5>
+											      	<div class="alert alert-block alert-success">						
+																<table class="table">
+																	<tbody>
+																		<tr>
+																			<td>1 thÃ¡ng</td>
+																			<td>15.000 VNÄ</td>
+																			<td class="center">
+																				<label>
+																					<input type="radio" name="payment-option" class="ace" />
+																					<span class="lbl"></span>
+																				</label>
+																			</td>
+																		</tr>
+																		<tr>
+																			<td>3 thÃ¡ng</td>
+																			<td>40.000 VNÄ</td>
+																			<td class="center">
+																				<label>
+																					<input type="radio" name="payment-option" class="ace" />
+																					<span class="lbl"></span>
+																				</label>
+																			</td>
+																		</tr>
+																		<tr>
+																			<td>6 thÃ¡ng</td>
+																			<td>70.000 VNÄ</td>
+																			<td class="center">
+																				<label>
+																					<input type="radio" name="payment-option" class="ace" />
+																					<span class="lbl"></span>
+																				</label>
+																			</td>
+																		</tr>
+																		<tr>
+																			<td>12 thÃ¡ng</td>
+																			<td>130.000 VNÄ</td>
+																			<td class="center">
+																				<label>
+																					<input type="radio" name="payment-option" class="ace" />
+																					<span class="lbl"></span>
+																				</label>
+																			</td>
+																		</tr>
+																	</tbody>
+																</table>
+															<button type="button" class="btn btn-success">ÄÄng kÃœ</button>
+															</div>
+															<h5>CÃ¡ch 2</h5>
+															<h4>Soáº¡n tin: SBG DK 1 (hay 3, 6, 12) gá»­i tá»i 8062</h4>
+														</form>
 													</div>
 												</div>
 											</div>
-
-											<div class="clearfix form-actions">
-												<div class="col-md-offset-3 col-md-9">
-													<button type="button" class="btn btn-info">
-														<i class="icon-ok bigger-110"></i>
-														LÆ°u láº¡i
-													</button>
-
-													&nbsp; &nbsp;
-													<button type="reset" class="btn">
-														<i class="icon-undo bigger-110"></i>
-														XÃ³a háº¿t
-													</button>
-												</div>
-											</div>
-										</form>
 									</div><!-- /span -->
 								</div>
@@ -403,4 +487,55 @@
 			</a>
 		</div><!-- /.main-container -->
+
+		<div class="modal fade" id="trade-history" tabindex="-1" role="dialog"aria-hidden="true">
+		  <div class="modal-dialog">
+		    <div class="modal-content">
+		      <div class="modal-header">
+		        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
+		        <h4 class="modal-title">Lá»ch sá»­ giao dá»ch</h4>
+		      </div>
+		      <div class="modal-body">
+		      	<div class="table-responsive">
+							<table id="sample-table-1" class="table table-striped table-bordered table-hover">
+								<thead>
+									<tr>
+										<th>Sá» tiá»n</th>
+										<th>
+											<i class="icon-time bigger-110 hidden-480"></i>
+											Thá»i gian
+										</th>
+									</tr>
+								</thead>
+
+								<tbody>
+									<tr>
+										<td>$45</td>
+										<td>Feb 12</td>
+									</tr>
+								</tbody>
+							</table>
+						</div><!-- /.table-responsive -->
+		      </div>
+		    </div>
+		  </div>
+		</div>
+
+		<div class="modal fade" id="alert-payment" tabindex="-1" role="dialog"aria-hidden="true">
+		  <div class="modal-dialog">
+		    <div class="modal-content">
+		      <div class="modal-header">
+		        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
+		        <h4 class="modal-title">ThÃŽng bÃ¡o dá»ch vá»¥</h4>
+		      </div>
+		      <div class="modal-body">
+		      	<div class="alert alert-block alert-success">						
+							<p>
+								QuÃ­ vá» ÄÃ£ náº¡p thÃ nh cÃŽng <b>10.000 </b>VND vÃ o tÃ i khoáº£n <b>0168942155</b>, tÃ i khoáº£n hiá»n táº¡i cá»§a quÃ­ vá» lÃ  <b>20.000 </b>VND.
+							</p>
+						</div>
+		      </div>
+		    </div>
+		  </div>
+		</div>
 
 		<!-- basic scripts -->
@@ -456,40 +591,4 @@
 		<script type="text/javascript">
 			jQuery(function($) {
-			
-				///////////////////////////////////////////
-				$('#user-profile-3')
-				.find('input[type=file]').ace_file_input({
-					style:'well',
-					btn_choose:'HÃ¬nh Äáº¡i diá»n',
-					btn_change:null,
-					no_icon:'icon-picture',
-					thumbnail:'large',
-					droppable:true,
-					before_change: function(files, dropped) {
-						var file = files[0];
-						if(typeof file === "string") {//files is just a file name here (in browsers that don't support FileReader API)
-							if(! (/\.(jpe?g|png|gif)$/i).test(file) ) return false;
-						}
-						else {//file is a File object
-							var type = $.trim(file.type);
-							if( ( type.length > 0 && ! (/^image\/(jpe?g|png|gif)$/i).test(type) )
-									|| ( type.length == 0 && ! (/\.(jpe?g|png|gif)$/i).test(file.name) )//for android default browser!
-								) return false;
-			
-							if( file.size > 110000 ) {//~100Kb
-								return false;
-							}
-						}
-			
-						return true;
-					}
-				})
-				.end().find('button[type=reset]').on(ace.click_event, function(){
-					$('#user-profile-3 input[type=file]').ace_file_input('reset_input');
-				})
-				.end().find('.date-picker').datepicker().next().on(ace.click_event, function(){
-					$(this).prev().focus();
-				})
-			
 
 				////////////////////