Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/home.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/home.php	(revision 500)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/home.php	(revision 502)
@@ -74,5 +74,5 @@
 													<label class="block clearfix has-error">
 														<span class="block input-icon input-icon-right">
-															<input type="text" class="form-control" name="username" placeholder="TÃ i khoáº£n | Sá» Äiá»n thoáº¡i" />
+															<input type="text" class="form-control" name="username" placeholder="Sá» Äiá»n thoáº¡i" />
 															<i class="icon-user"></i>
 														</span>
@@ -129,13 +129,25 @@
 		      </div>
 		      <div class="modal-body">
-		      	<div class="alert alert-block alert-success">						
-							<p>
-								Äá» ÄÄng kÃœ tÃ i khoáº£n tÃ i khoáº£n SBGOnline
-							</p>
-							<strong>
-								<i class="icon-commnet"></i>
-								Soáº¡n tin: SBG DK gá»­i 8062
-							</strong>
-						</div>
+		      	<div class="alert alert-block alert-success" style="text-align: justify;">
+	
+						<p>
+							Äá» ÄÄng kÃœ tÃ i khoáº£n tÃ i khoáº£n trÃªn há» thá»ng Soáº¡n BÃ i giáº£ng trá»±c tuyáº¿n (SBG Online), QuÃ­ vá» hÃ£y soáº¡n tin nháº¯n theo cÃº phÃ¡p:
+						<strong>
+							SBG DK
+						</strong>
+						gá»­i tá»i
+						<strong>
+						8062</strong>.
+						</p>
+						<p>
+						Sau khi nháº­n ÄÆ°á»£c tin nháº¯n ÄÄng kÃ­ tÃ i khoáº£n cá»§a QuÃ­ vá», há» thá»ng SBG Online sáºœ gá»­i láº¡i thÃŽng tin ÄÄng nháº­p vÃ o Äiá»n thoáº¡i cá»§a QuÃ­ vá».
+						</p>
+						<p>
+						Náº¿u ÄÃ£ nháº­n ÄÆ°á»£c thÃŽng tin ÄÄng nháº­p há» thá»ng SBG Online gá»­i tá»i Äiá»n thoáº¡i cá»§a mÃ¬nh, QuÃ­ vá» hÃ£y Äiá»n thÃŽng tin vÃ  nháº¥n vÃ o <strong>ÄÄng nháº­p</strong> Äá» ÄÄng nháº­p vÃ o há» thá»ng.
+						</p>
+						<p>
+						Náº¿u cÃ³ vÆ°á»ng máº¯c gÃ¬ vá» viá»c ÄÄng kÃ­, QuÃ­ vá» hÃ£y gá»i sá» <strong>01662860000</strong> Äá» ÄÆ°á»£c há» trá»£.
+						</p>
+				</div>
 		      </div>
 		    </div>
@@ -153,5 +165,5 @@
 		      	<div class="alert alert-block alert-success">						
 							<p>
-								Äá» láº¥y láº¡i máº­t kháº©u cá»§a mÃ¬nh trÃªn há» thá»ng SBG Online, QuÃ­ vá» hÃ£y dÃ¹ng <span class="red"><strong>sá» Äiá»n thoáº¡i ÄÃ£ ÄÄng kÃ­ tÃ i khoáº£n</strong></span> vÃ  soáº¡n tin theo cÃº phÃ¡p: <span class="red"><strong>SBG MK gá»­i tá»i 8062.</span>
+								Äá» láº¥y láº¡i máº­t kháº©u cá»§a mÃ¬nh trÃªn há» thá»ng SBG Online, QuÃ­ vá» hÃ£y dÃ¹ng <strong>sá» Äiá»n thoáº¡i ÄÃ£ ÄÄng kÃ­ tÃ i khoáº£n</strong>vÃ  soáº¡n tin theo cÃº phÃ¡p: <strong>SBG MK</strong> gá»­i tá»i <strong>8062.</strong>
 							</p>
 				</div>
Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 500)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 502)
@@ -60,5 +60,5 @@
                                 <div class="tab-pane in active" id="edit-basic">
                                     <form id="frm1" role="form" class="form-horizontal">
-                                        <h4 class="header blue bolder smaller">ThÃŽng tin chung</h4>
+                                        <h4 class="header blue bolder smaller">ThÃŽng tin cÃ¡ nhÃ¢n</h4>
 
                                         <div class="row">
@@ -66,7 +66,7 @@
                                             <div class="vspace-xs"></div>
 
-                                            <div class="col-xs-12 col-sm-8">
+                                            <div class="col-sm-9">
                                                 <div class="form-group">
-                                                    <label for="form-field-username" class="col-sm-4 control-label no-padding-right">TÃ i khoáº£n</label>
+                                                    <label for="form-field-username" class="col-sm-4 control-label no-padding-right">Sá» Äiá»n thoáº¡i</label>
 
                                                     <div class="col-sm-8">
@@ -76,12 +76,15 @@
 
                                                 <div class="space-4"></div>
-
+							
                                                 <div class="form-group">
-                                                    <label for="form-field-first" class="col-sm-4 control-label no-padding-right">Há» tÃªn</label>
-
-                                                    <div class="col-sm-8">
-                                                        <input type="text" name="fullname" value="<?php echo @$fullname; ?>" placeholder="Há»" id="form-field-first" class="col-xs-12 col-sm-10" disabled>
-
-                                                    </div>
+                                                    <label for="form-field-first" class="col-sm-4 control-label no-padding-right">Há» vÃ  tÃªn</label>
+													<label class="block clearfix has-error">
+														
+														<div class="col-sm-8">
+															<input type="text" name="fullname" value="<?php echo @$fullname; ?>" placeholder="Há»" id="form-field-first" class="col-xs-12 col-sm-10" <?php if (@$use_package) echo 'disabled'; ?>>
+
+														</div>
+														<small><div class="col-sm-8 help-block" id="fullname_err"> </div></small>
+													</label>
                                                 </div>
 
@@ -105,45 +108,11 @@
                                                     </div>
                                                 </div>
-
+						
                                             </div>
-                                        </div>
-
-                                        <hr>
-
+											<div class="col-sm-3">
+											<h4><small><a href="#" data-toggle="modal" data-target="#changeProfile"><i>Äá»i sá» Äiá»n thoáº¡i</i></a></small></h4>
+											</div>
+                                        </div>
                                         <div class="space-4"></div>
-
-                                        <div class="form-group">
-                                            <label class="col-sm-3 control-label no-padding-right">Giá»i tÃ­nh</label>
-
-                                            <div class="col-sm-9">
-                                                <label class="inline">
-                                                    <input type="radio" <?php if (@$gender == "male") echo "checked"; ?> class="ace" name="gender" value="male">
-                                                    <span class="lbl"> Nam</span>
-                                                </label>
-
-                                                &nbsp; &nbsp; &nbsp;
-                                                <label class="inline">
-                                                    <input type="radio" <?php if (@$gender == "female") echo "checked"; ?> class="ace" name="gender" value="female">
-                                                    <span class="lbl"> Ná»¯</span>
-                                                </label>
-                                            </div>
-                                        </div>
-
-                                        <div class="space"></div>
-                                        <h4 class="header blue bolder smaller">ThÃŽng tin liÃªn há»</h4>
-
-                                        <div class="form-group">
-                                            <label for="form-field-email" class="col-sm-3 control-label no-padding-right">Email</label>
-
-                                            <div class="col-sm-9">
-                                                <label class="block clearfix has-error">
-                                                    <span class="input-icon input-icon-right">
-                                                        <input name="email" type="email" value="<?php echo @$email; ?>" id="form-field-email">
-                                                        <i class="icon-envelope"></i>
-                                                    </span>
-                                                    <div class="help-block" id="email_err"> </div>
-                                                </label>
-                                            </div>
-                                        </div>
 
                                         <div class="clearfix form-actions">
@@ -153,6 +122,9 @@
                                                     Cáº­p nháº­t
                                                 </button>
+												
                                             </div>
-                                        </div>
+											<div class="col-md-offset-3 col-md-9"><label id="updating" style="display: none;;"><span class="icon-refresh icon-refresh-animate"></span> Äang xá»­ lÃœ...</label>
+											</div>
+                                        </div> 
                                     </form>
                                 </div>
@@ -160,10 +132,68 @@
 
                                 <div class="tab-pane" id="edit-password">
-                                    <div class="alert alert-block alert-success">						
-                                        <p>
-                                            QuÃ­ vá» cÃ³ thá» thay Äá»i máº­t kháº©u báº±ng cÃ¡ch dÃ¹ng sá» Äiá»n thoáº¡i [SoDTKhachhang] vÃ  soáº¡n tin theo cÃº phÃ¡p: <strong>SBG MK [matkhaumoi] gá»­i tá»i 8062</strong>. <br/>
-                                            Äá» láº¥y láº¡i máº­t kháº©u cá»§a mÃ¬nh trÃªn há» thá»ng SBG Online, quÃ­ vá» hÃ£y dÃ¹ng sá» Äiá»n thoáº¡i ÄÃ£ ÄÄng kÃ­ tÃ i khoáº£n vÃ  soáº¡n tin theo cÃº phÃ¡p: <strong>SBG MK gá»­i tá»i 8062</strong>.
-                                        </p>
-                                    </div>
+									<form id="frm2" class="form-horizontal" role="form">
+										<h4 class="header blue bolder smaller">Äá»i máº­t kháº©u</h4>
+										<div class="form-group">
+											<label for="form-field-passwd" class="col-sm-3 control-label no-padding-right">Máº­t kháº©u cÅ©</label>
+											<div class="col-sm-9">
+												<label class="block clearfix has-error">
+													<span class="input-icon">
+														<input type="password" name="passwd" id="form-field-pass1">
+														<i class="icon-lock blue"></i>
+													</span>
+
+													<small><div class="help-block" id="passwd_old_err"> </div></small>
+												</label>
+												
+											</div>
+										</div>
+										
+										<div class="form-group">
+											<label for="form-field-pass1" class="col-sm-3 control-label no-padding-right">Máº­t kháº©u má»i</label>
+
+											<div class="col-sm-9">
+												<label class="block clearfix has-error">
+													<span class="input-icon">
+														<input type="password" name="passwd_new" id="form-field-pass1">
+														<i class="icon-lock blue"></i>
+													</span>
+													<small><div class="help-block" id="passwd_new_err"> </div></small>
+												</label>
+											</div>
+										</div>
+
+										<div class="space-4"></div>
+
+										<div class="form-group">
+											<label for="form-field-pass2" class="col-sm-3 control-label no-padding-right">GÃµ láº¡i máº­t kháº©u má»i</label>
+											<div class="col-sm-9">
+												<label class="block clearfix has-error">
+													<span class="input-icon">
+														<input type="password" name="confirm_passwd_new" id="form-field-pass2">
+													</span>
+													<small><div class="help-block" id="confirm_passwd_new_err"> </div></small>
+												</label>
+											</div>
+										</div>
+										<div class="clearfix form-actions">
+											<div class="col-md-offset-3 col-md-9">
+												<button type="button" onclick="return changePassword(<?php echo @$us_id; ?>);"  class="btn btn-info">
+													<i class="icon-ok bigger-110"></i>
+													Thay Äá»i
+												</button>
+											</div>
+										</div>
+										
+										</form>
+				
+										<div class="alert alert-block alert-success">
+											
+											<p>
+												QuÃ­ vá» cÅ©ng cÃ³ thá» thay Äá»i máº­t kháº©u báº±ng cÃ¡ch dÃ¹ng sá» Äiá»n thoáº¡i <strong>[SoDTKhachhang]</strong> vÃ  soáº¡n tin theo cÃº phÃ¡p: <strong>SBG MK [MatKhauMoi]</strong> gá»­i tá»i <strong>8062</strong>. 
+											<p/>
+											<p>
+												Äá» láº¥y láº¡i máº­t kháº©u cá»§a mÃ¬nh trÃªn há» thá»ng SBG Online, QuÃ­ vá» hÃ£y dÃ¹ng <strong>sá» Äiá»n thoáº¡i ÄÃ£ ÄÄng kÃ­ tÃ i khoáº£n</strong> vÃ  soáº¡n tin theo cÃº phÃ¡p: <strong>SBG MK</strong> gá»­i tá»i <strong>8062</strong>.
+											</p>
+										</div>
                                 </div>
 
@@ -175,5 +205,5 @@
                                         </div>
                                         <div class="col-sm-6">
-                                            <h4>Thá»i báº¡n sá»­ dá»¥ng </h4> <h3><?php echo $expire_date; ?> <span class="badge"><?php echo $date_diff; ?></span></h3>
+                                            <h4>Thá»i báº¡n sá»­ dá»¥ng </h4> <h3><?php echo @$expire_date; ?> <span class="badge"><?php echo @$date_diff; ?></span></h3>
                                         </div>
 
@@ -212,5 +242,5 @@
                                         <div class="alert alert-block alert-success">						
                                             <p>
-                                                Sá»­ dá»¥ng thuÃª bao <strong>016825764</strong> soáº¡n tin nháº¯n: <strong>SBG NAP [sotien] gá»­i 8062</strong>. <br/>
+                                                Sá»­ dá»¥ng thuÃª bao <strong><?php echo @$username; ?></strong> soáº¡n tin nháº¯n: <strong>SBG NAP [sotien] gá»­i 8062</strong>. <br/>
                                                 Náº¿u quÃ­ vá» sá»­ dá»¥ng thuÃª bao Viettel khÃ¡c thÃ¬ soáº¡n tin nháº¯n: <strong>SBG NAP [tentruynhap] 
                                                     [sotien] gá»­i tá»i 8062</strong>.
@@ -226,5 +256,5 @@
                                         </div>
                                         <div class="col-sm-6">
-                                            <h4>Thá»i báº¡n sá»­ dá»¥ng </h4> <h3><?php echo $expire_date; ?> <span class="badge"><?php echo $date_diff; ?></span></h3>
+                                            <h4>Thá»i báº¡n sá»­ dá»¥ng </h4> <h3><?php echo @$expire_date; ?> <span class="badge"><?php echo @$date_diff; ?></span></h3>
                                         </div> 
                                         <h4 class="header blue bolder smaller">ÄÄng kÃœ dá»ch vá»¥</h4>
@@ -357,5 +387,53 @@
 </div>
 
-
+<div class="modal fade" id="changeProfile" tabindex="-1" role="dialog"aria-hidden="true">
+	<div class="modal-dialog">
+		<div class="modal-content">
+			<div class="modal-header">
+				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
+				<h4 class="modal-title">Thay Äá»i sá» Äiá»n thoáº¡i</h4>
+				</div>
+				<div class="modal-body">
+				<div class="alert alert-block alert-success">						
+					<p>
+						QuÃ­ vá» cÃ³ thá» thay Äá»i Sá» Äiá»n thoáº¡i Äang sá»­ dá»¥ng báº±ng cÃ¡ch: TrÃªn sá» Äiá»n thoáº¡i má»i, quÃ­ vá» soáº¡n tin theo cÃº phÃ¡p: <strong>SBG DDT [SoDTCu] [MatKhau]</strong> gá»­i tá»i <strong>8062</strong>.
+					</p>
+				</div>
+			</div>
+		</div>
+	</div>
+</div>
+
+<div class="modal fade" id="changePassSuccess" tabindex="-1" role="dialog"aria-hidden="true">
+	<div class="modal-dialog">
+		<div class="modal-content">
+			<div class="modal-header">
+				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
+				<h4 class="modal-title">Äá»i máº­t kháº©u</h4>
+			</div>
+			<div class="modal-body">
+				<div class="alert alert-block alert-success"><center>QuÃ­ vá» ÄÃ£ Äá»i máº­t kháº©u thÃ nh cÃŽng !</center></div>
+				<center><button class="btn btn-primary" data-dismiss="modal">ÄÃ³ng</button></center>
+			</div>
+		
+		</div>
+	</div>
+</div>
+
+<div class="modal fade" id="updateInfoSuccess" tabindex="-1" role="dialog"aria-hidden="true">
+	<div class="modal-dialog">
+		<div class="modal-content">
+			<div class="modal-header">
+				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
+				<h4 class="modal-title">Cáº­p nháº­t thÃŽng tin</h4>
+			</div>
+			<div class="modal-body">
+				<div class="alert alert-block alert-success"><center>QuÃ­ vá» ÄÃ£ cáº­p nháº­t thÃŽng tin thÃ nh cÃŽng!</center></div>
+				<center><button id="close" class="btn btn-primary" data-dismiss="modal">ÄÃ³ng</button></center>
+			</div>
+		
+		</div>
+	</div>
+</div>
 
 <?php