Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/package_register_modal.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/package_register_modal.php	(revision 502)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/package_register_modal.php	(revision 503)
@@ -7,38 +7,47 @@
             </div>
             <div class="modal-body">
-                <div class="alert alert-block alert-success">						
-                    <?php if ($can_buy==0) {?>
-                    QuÃœ tháº§y cÃŽ khÃŽng cÃ³ Äá»§ tiá»n trong tÃ i khoáº£n Äá» ÄÄng kÃœ gÃ³i dá»ch vá»¥ nÃ y, vui lÃ²ng náº¡p thÃªm tiá»n hoáº·c chá»n gÃ³i khÃ¡c.
-                    <?php } ?> 
-                    <?php if ($can_edit==0) {?>
-                    <p>
-                    QuÃœ tháº§y cÃŽ kiá»m tra thÃŽng tin cÃ¡ nhÃ¢n cá»§a mÃ¬nh, vui lÃ²ng Äiá»n Äáº§y Äá»§ há» tÃªn.
-                    </p>
-                        <?php } ?> 
-                </div>
-                <form id="do_package_register" class="form-horizontal" action="#" method="POST">
-                    <div class="form-group">
-                        <label for="form-field-first" class="col-sm-4 control-label no-padding-right">
-                            Há» vÃ  tÃªn</label>
-                        <div class="col-sm-8">
-                            <input <?php if ($can_edit==0) {?>  disabled <?php } ?> type="text" value="<?php echo "ten"; $?>" placeholder="Há»" id="form-field-first" class="input-small">
-                            <input <?php if ($can_edit==0) {?> disabled <?php } ?>type="text" value="" placeholder="TÃªn" id="form-field-last" class="input-small">
+
+                <?php if ($can_buy == 0) { ?>
+                    <div class="alert alert-block alert-success">	
+                        Sá» tiá»n trong TÃ i khoáº£n SBG Online hiá»n táº¡i cá»§a QuÃ­ vá» lÃ  <?php echo $user['acc_balanced']; ?> Äá»ng.<br /> Äá» ÄÄng kÃ­ Sá»­ dá»¥ng dá»ch vá»¥ Soáº¡n BÃ i giáº£ng trá»±c tuyáº¿n, QuÃ­ vá» cáº§n náº¡p thÃªm tiá»n vÃ o tÃ i khoáº£n.
+                    </div>
+                <?php } ?> 
+                <?php if ($can_edit == 0) { ?>
+                    <div class="alert alert-block alert-success">
+                        <p>
+                            QuÃœ tháº§y cÃŽ kiá»m tra thÃŽng tin cÃ¡ nhÃ¢n cá»§a mÃ¬nh, vui lÃ²ng Äiá»n Äáº§y Äá»§ há» tÃªn.
+                        </p>
+                    </div>                   
+                <?php } ?> 
+
+                <?php if ($can_buy == 1) { ?>
+                    <form id="do_package_register" class="form-horizontal" action="#" method="POST">
+                        <input name="p_id" value="<?php echo $package['p_id']; ?>" type="hidden" />
+                        <div class="errors" id="package_register_errors">
+                            
                         </div>
-                    </div>
+                        <div class="form-group">
+                            <label for="form-field-first" class="col-sm-4 control-label no-padding-right">
+                                Há» vÃ  tÃªn</label>
+                            <div class="col-sm-8">
+                                <input name="fullname" <?php if ($can_edit == 0) { ?>  disabled <?php } ?> type="text" value="<?php echo $info['fullname']; ?>" placeholder="Há» vÃ  tÃªn" id="form-field-first" class="input-large">
+                            </div>
+                        </div>
 
-                    <div class="space-4"></div>
+                        <div class="space-4"></div>
 
-                    <div class="form-group">
-                        <label for="form-field-username" class="col-sm-4 control-label no-padding-right">
-                            ÄÆ¡n vá»</label>
-                        <div class="col-sm-8">
-                            <input type="text" placeholder="ÄÆ¡n vá»" id="form-field-username" class="col-xs-12 col-sm-10">
+                        <div class="form-group">
+                            <label for="form-field-username" class="col-sm-4 control-label no-padding-right">
+                                ÄÆ¡n vá»</label>
+                            <div class="col-sm-8">
+                                <input name="school" <?php if ($can_edit == 0) { ?>  disabled <?php } ?> type="text" value="<?php echo $info['school']; ?>" placeholder="ÄÆ¡n vá»" id="form-field-first" class="input-large">
+                            </div>
                         </div>
-                    </div>
-                </form>
+                    </form>
+                <?php } ?>
                 <div class="modal-footer">
-                    <a href="#" class="btn btn-success" data-dismiss="modal">Quay láº¡i</a>
-                    <?php if ($can_buy==1) {?>
-                    <a href="#" class="btn btn-success" data-dismiss="modal">ÄÄng kÃœ</a>
+                    <a id="package_register_back" class="btn btn-success" data-dismiss="modal">Quay láº¡i</a>
+                    <?php if ($can_buy == 1) { ?>
+                        <a href="#" id="finish_package_register" class="btn btn-success" >HoÃ n táº¥t</a>
                     <?php } ?>
                 </div>
Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 502)
+++ 	(revision )
@@ -1,441 +1,0 @@
-<?php
-$base_url = base_url();
-$this->load->view('layout/frontend/header', array('base_url' => $base_url, '$username' => @$username));
-$this->load->view('layout/frontend/sidebar', array('base_url' => $base_url));
-/*
-  $this->load->view('layout/frontend/header', array('base_url'=>base_url(), '$username'=>$username));
-  $base_url = base_url();
-  $this->load->view('layout/frontend/sidebar', array('base_url'=>base_url())); */
-?>
-<div class="main-content">
-
-    <div class="page-content">
-        <div class="page-header">
-            <h1>
-                ThÃŽng tin cÃ¡ nhÃ¢n
-                <small>
-                    <i class="icon-double-angle-right"></i>
-                    <?php echo @$username; ?>
-                </small>
-            </h1>
-        </div><!-- /.page-header -->
-
-        <div class="row">
-            <div class="col-xs-12">
-                <!-- PAGE CONTENT BEGINS -->
-                <div class="user-profile row" id="user-profile-3">
-                    <div class="col-sm-offset-1 col-sm-10">
-
-                        <div class="tabbable">
-                            <ul class="nav nav-tabs padding-16">
-                                <li class="active">
-                                    <a href="#edit-basic" data-toggle="tab">
-                                        <i class="green icon-edit bigger-125"></i>
-                                        ThÃŽng tin cÃ¡ nhÃ¢n
-                                    </a>
-                                </li>
-
-                                <li>
-                                    <a href="#edit-password" data-toggle="tab">
-                                        <i class="blue icon-key bigger-125"></i>
-                                        Äá»i máº­t kháº©u
-                                    </a>
-                                </li>
-
-                                <li>
-                                    <a href="#account-info" data-toggle="tab">
-                                        <img src="<?php echo $base_url; ?>assets/img/payment.png" width="16" class="img-responsive pull-left">
-                                        ThÃŽng tin tÃ i khoáº£n
-                                    </a>
-                                </li>
-                                <li>
-                                    <a href="#services-register" data-toggle="tab">
-                                        <i class="blue icon-cog bigger-125"></i>
-                                        ÄÄng kÃœ dá»ch vá»¥
-                                    </a>
-                                </li>
-                            </ul>
-
-                            <div class="tab-content profile-edit-tab-content">
-                                <div class="tab-pane in active" id="edit-basic">
-                                    <form id="frm1" role="form" class="form-horizontal">
-                                        <h4 class="header blue bolder smaller">ThÃŽng tin cÃ¡ nhÃ¢n</h4>
-
-                                        <div class="row">
-
-                                            <div class="vspace-xs"></div>
-
-                                            <div class="col-sm-9">
-                                                <div class="form-group">
-                                                    <label for="form-field-username" class="col-sm-4 control-label no-padding-right">Sá» Äiá»n thoáº¡i</label>
-
-                                                    <div class="col-sm-8">
-                                                        <input type="text" name="username" value="<?php echo @$username; ?>" placeholder="TÃ i khoáº£n" id="form-field-username" class="col-xs-12 col-sm-10" disabled>
-                                                    </div>
-                                                </div>
-
-                                                <div class="space-4"></div>
-							
-                                                <div class="form-group">
-                                                    <label for="form-field-first" class="col-sm-4 control-label no-padding-right">Há» vÃ  tÃªn</label>
-													<label class="block clearfix has-error">
-														
-														<div class="col-sm-8">
-															<input type="text" name="fullname" value="<?php echo @$fullname; ?>" placeholder="Há»" id="form-field-first" class="col-xs-12 col-sm-10" <?php if (@$use_package) echo 'disabled'; ?>>
-
-														</div>
-														<small><div class="col-sm-8 help-block" id="fullname_err"> </div></small>
-													</label>
-                                                </div>
-
-                                                <div class="space-4"></div>
-
-                                                <div class="form-group">
-                                                    <label for="form-field-username" class="col-sm-4 control-label no-padding-right">ÄÆ¡n vá»</label>
-
-                                                    <div class="col-sm-8">
-                                                        <input type="text" name="school" value="<?php echo @$school; ?>" placeholder="ÄÆ¡n vá»" id="form-field-username" class="col-xs-12 col-sm-10">
-                                                    </div>
-                                                </div>
-
-                                                <div class="space-4"></div>
-
-                                                <div class="form-group">
-                                                    <label for="form-field-username" class="col-sm-4 control-label no-padding-right">Tá»nh / ThÃ nh phá»</label>
-
-                                                    <div class="col-sm-8">
-                                                        <input type="text" name="province" value="<?php echo @$province; ?>" placeholder="Tá»nh / ThÃ nh phá»" id="form-field-username" class="col-xs-12 col-sm-10">
-                                                    </div>
-                                                </div>
-						
-                                            </div>
-											<div class="col-sm-3">
-											<h4><small><a href="#" data-toggle="modal" data-target="#changeProfile"><i>Äá»i sá» Äiá»n thoáº¡i</i></a></small></h4>
-											</div>
-                                        </div>
-                                        <div class="space-4"></div>
-
-                                        <div class="clearfix form-actions">
-                                            <div class="col-md-offset-3 col-md-9">
-                                                <button type="button" onclick="return updateInfo(<?php echo @$us_id; ?>);" class="btn btn-info">
-                                                    <i class="icon-ok bigger-110"></i>
-                                                    Cáº­p nháº­t
-                                                </button>
-												
-                                            </div>
-											<div class="col-md-offset-3 col-md-9"><label id="updating" style="display: none;;"><span class="icon-refresh icon-refresh-animate"></span> Äang xá»­ lÃœ...</label>
-											</div>
-                                        </div> 
-                                    </form>
-                                </div>
-
-
-                                <div class="tab-pane" id="edit-password">
-									<form id="frm2" class="form-horizontal" role="form">
-										<h4 class="header blue bolder smaller">Äá»i máº­t kháº©u</h4>
-										<div class="form-group">
-											<label for="form-field-passwd" class="col-sm-3 control-label no-padding-right">Máº­t kháº©u cÅ©</label>
-											<div class="col-sm-9">
-												<label class="block clearfix has-error">
-													<span class="input-icon">
-														<input type="password" name="passwd" id="form-field-pass1">
-														<i class="icon-lock blue"></i>
-													</span>
-
-													<small><div class="help-block" id="passwd_old_err"> </div></small>
-												</label>
-												
-											</div>
-										</div>
-										
-										<div class="form-group">
-											<label for="form-field-pass1" class="col-sm-3 control-label no-padding-right">Máº­t kháº©u má»i</label>
-
-											<div class="col-sm-9">
-												<label class="block clearfix has-error">
-													<span class="input-icon">
-														<input type="password" name="passwd_new" id="form-field-pass1">
-														<i class="icon-lock blue"></i>
-													</span>
-													<small><div class="help-block" id="passwd_new_err"> </div></small>
-												</label>
-											</div>
-										</div>
-
-										<div class="space-4"></div>
-
-										<div class="form-group">
-											<label for="form-field-pass2" class="col-sm-3 control-label no-padding-right">GÃµ láº¡i máº­t kháº©u má»i</label>
-											<div class="col-sm-9">
-												<label class="block clearfix has-error">
-													<span class="input-icon">
-														<input type="password" name="confirm_passwd_new" id="form-field-pass2">
-													</span>
-													<small><div class="help-block" id="confirm_passwd_new_err"> </div></small>
-												</label>
-											</div>
-										</div>
-										<div class="clearfix form-actions">
-											<div class="col-md-offset-3 col-md-9">
-												<button type="button" onclick="return changePassword(<?php echo @$us_id; ?>);"  class="btn btn-info">
-													<i class="icon-ok bigger-110"></i>
-													Thay Äá»i
-												</button>
-											</div>
-										</div>
-										
-										</form>
-				
-										<div class="alert alert-block alert-success">
-											
-											<p>
-												QuÃ­ vá» cÅ©ng cÃ³ thá» thay Äá»i máº­t kháº©u báº±ng cÃ¡ch dÃ¹ng sá» Äiá»n thoáº¡i <strong>[SoDTKhachhang]</strong> vÃ  soáº¡n tin theo cÃº phÃ¡p: <strong>SBG MK [MatKhauMoi]</strong> gá»­i tá»i <strong>8062</strong>. 
-											<p/>
-											<p>
-												Äá» láº¥y láº¡i máº­t kháº©u cá»§a mÃ¬nh trÃªn há» thá»ng SBG Online, QuÃ­ vá» hÃ£y dÃ¹ng <strong>sá» Äiá»n thoáº¡i ÄÃ£ ÄÄng kÃ­ tÃ i khoáº£n</strong> vÃ  soáº¡n tin theo cÃº phÃ¡p: <strong>SBG MK</strong> gá»­i tá»i <strong>8062</strong>.
-											</p>
-										</div>
-                                </div>
-
-                                <div class="tab-pane" id="account-info">
-                                    <form id="frm3" class="form-horizontal" role="form">
-                                        <h4 class="header blue bolder smaller">ThÃŽng tin tÃ i khoáº£n</h4>
-                                        <div class="col-sm-6">
-                                            <h4>Sá» tiá»n </h4> <h3><?php echo number_format(@$acc_balanced, 0); ?> VND</h3>
-                                        </div>
-                                        <div class="col-sm-6">
-                                            <h4>Thá»i báº¡n sá»­ dá»¥ng </h4> <h3><?php echo @$expire_date; ?> <span class="badge"><?php echo @$date_diff; ?></span></h3>
-                                        </div>
-
-                                        <h4 class="header blue bolder smaller">Náº¡p tiá»n báº±ng tháº» cÃ o</h4>
-                                        <div class="col-sm-8">
-                                            <div class="form-group">
-                                                <label for="form-field-pass1" class="col-sm-2 control-label no-padding-right">MÃ£ tháº»</label>
-
-                                                <div class="col-sm-10">
-                                                    <input type="text" id="form-field-pass1" class="form-control">
-                                                </div>
-                                            </div>
-
-                                            <div class="space-4"></div>
-
-                                            <div class="form-group">
-                                                <label for="form-field-pass2" class="col-sm-2 control-label no-padding-right">Serial</label>
-
-                                                <div class="col-sm-10">
-                                                    <input type="text" id="form-field-pass2" class="form-control">
-                                                </div>
-                                            </div>
-                                        </div>
-                                        <div class="col-sm-4">
-                                            <button type="button" class="btn btn-success" data-toggle="modal" data-target="#alert-payment">
-                                                <i class="icon-ok bigger-110"></i>
-                                                Tiáº¿p tá»¥c
-                                            </button>
-                                            <div class="space-4"></div>
-                                            <a href="#" data-toggle="modal" data-target="#trade-history"><i class="icon-archive"></i> Lá»ch sá»­ giao dá»ch</a>
-                                        </div>
-                                        <div class="clearfix">
-
-                                        </div>
-                                        <h4 class="header blue bolder smaller">Náº¡p tiá»n báº±ng tÃ i khoáº£n gá»c</h4>
-                                        <div class="alert alert-block alert-success">						
-                                            <p>
-                                                Sá»­ dá»¥ng thuÃª bao <strong><?php echo @$username; ?></strong> soáº¡n tin nháº¯n: <strong>SBG NAP [sotien] gá»­i 8062</strong>. <br/>
-                                                Náº¿u quÃ­ vá» sá»­ dá»¥ng thuÃª bao Viettel khÃ¡c thÃ¬ soáº¡n tin nháº¯n: <strong>SBG NAP [tentruynhap] 
-                                                    [sotien] gá»­i tá»i 8062</strong>.
-                                            </p>
-                                        </div>
-                                    </form>
-                                </div>
-                                <div class="tab-pane" id="services-register">
-                                    <form action="<?php echo base_url();?>frontend/user/packageRegister"  class="form-horizontal" id="package_register">
-                                        <h4 class="header blue bolder smaller">ThÃŽng tin tÃ i khoáº£n</h4>
-                                        <div class="col-sm-6">
-                                            <h4>Sá» tiá»n </h4> <h3><?php echo number_format(@$acc_balanced, 0); ?> VND</h3>
-                                        </div>
-                                        <div class="col-sm-6">
-                                            <h4>Thá»i báº¡n sá»­ dá»¥ng </h4> <h3><?php echo @$expire_date; ?> <span class="badge"><?php echo @$date_diff; ?></span></h3>
-                                        </div> 
-                                        <h4 class="header blue bolder smaller">ÄÄng kÃœ dá»ch vá»¥</h4>
-                                        <h5>CÃ¡ch 1: Má»i quÃ­ vá» chá»n cÃ¡c gÃ³i dá»ch vá»¥ sau</h5>
-                                        <div class="errors" id="package_register">
-                                            
-                                        </div>
-                                        <div class="alert alert-block alert-success">						
-                                            <table class="table">
-                                                <tbody>
-                                                    <?php foreach ($packages as $index=>$package)
-                                                    {
-                                                    ?>
-                                                    <tr>
-                                                        <td><?php echo $package['p_name'];?></td>
-                                                        <td><?php echo $package['p_period'],' thÃ¡ng (', number_format($package['p_price'], 0); ?> VNÄ)</td>
-                                                        <td class="center">
-                                                            <label>
-                                                                <input <?php if($index==0) {echo "checked='checked'";}?> type="radio" value="<?php echo $package['p_id'];?>" name="p_id" class="ace" />
-                                                                <span class="lbl"></span>
-                                                            </label>
-                                                        </td>
-                                                    </tr>
-                                                    <?php } ?>
-                                                    
-                                                </tbody>
-                                            </table>
-                                            <button type="submit" class="btn btn-success">ÄÄng kÃœ</button>
-                                        </div>
-                                        <h5>CÃ¡ch 2</h5>
-                                        <h4>Soáº¡n tin: SBG VIP 1 (hay 3, 6, 12) gá»­i tá»i 8062</h4>
-                                    </form>
-                                </div>
-
-                            </div>
-                        </div>
-                    </div><!-- /span -->
-                </div>
-
-                <!-- PAGE CONTENT ENDS -->
-            </div><!-- /.col -->
-        </div><!-- /.row -->
-    </div><!-- /.page-content -->
-</div><!-- /.main-content -->
-</div><!-- /.main-container-inner -->
-
-<a href="#" id="btn-scroll-up" class="btn-scroll-up btn btn-sm btn-inverse">
-    <i class="icon-double-angle-up icon-only bigger-110"></i>
-</a>
-</div><!-- /.main-container -->
-
-<div class="modal fade" id="trade-history" tabindex="-1" role="dialog"aria-hidden="true">
-    <div class="modal-dialog">
-        <div class="modal-content">
-            <div class="modal-header">
-                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
-                <h4 class="modal-title">Lá»ch sá»­ giao dá»ch</h4>
-            </div>
-            <div class="modal-body">
-                <div class="table-responsive">
-                    <table id="sample-table-1" class="table table-striped table-bordered table-hover">
-                        <thead>
-                            <tr>
-                                <th class="center">
-                                    <label>
-                                        <input type="checkbox" class="ace" />
-                                        <span class="lbl"></span>
-                                    </label>
-                                </th>
-                                <th>Sá» tiá»n</th>
-
-                                <th>
-                                    <i class="icon-time bigger-110 hidden-480"></i>
-                                    Thá»i gian
-                                </th>
-                            </tr>
-                        </thead>
-
-                        <tbody>
-                            <tr>
-                                <td class="center">
-                                    <label>
-                                        <input type="checkbox" class="ace" />
-                                        <span class="lbl"></span>
-                                    </label>
-                                </td>
-                                <td>$45</td>
-                                <td>Feb 12</td>
-                            </tr>
-                        </tbody>
-                    </table>
-                </div><!-- /.table-responsive -->
-            </div>
-        </div>
-    </div>
-</div>
-
-<div class="modal fade" id="alert-payment" tabindex="-1" role="dialog"aria-hidden="true">
-    <div class="modal-dialog">
-        <div class="modal-content">
-            <div class="modal-header">
-                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
-                <h4 class="modal-title">ThÃŽng bÃ¡o dá»ch vá»¥</h4>
-            </div>
-            <div class="modal-body">
-                <div class="alert alert-block alert-success">						
-                    <p>
-                        QuÃ­ vá» ÄÃ£ náº¡p thÃ nh cÃŽng <b>10.000 </b>VND vÃ o tÃ i khoáº£n <b>0168942155</b>, tÃ i khoáº£n hiá»n táº¡i cá»§a quÃ­ vá» lÃ  <b>20.000 </b>VND.
-                    </p>
-                </div>
-            </div>
-        </div>
-    </div>
-</div>
-
-<div class="modal fade" id="package_register_modal" tabindex="-1" role="dialog"aria-hidden="true">
-    <div class="modal-dialog">
-        <div class="modal-content">
-            <div class="modal-header">
-                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
-                <h4 class="modal-title">ÄÄng kÃœ gÃ³i dá»ch vá»¥</h4>
-            </div>
-            <div class="modal-body">
-                <div class="alert alert-block alert-success">						
-                   
-                </div>
-            </div>
-        </div>
-    </div>
-</div>
-
-<div class="modal fade" id="changeProfile" tabindex="-1" role="dialog"aria-hidden="true">
-	<div class="modal-dialog">
-		<div class="modal-content">
-			<div class="modal-header">
-				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
-				<h4 class="modal-title">Thay Äá»i sá» Äiá»n thoáº¡i</h4>
-				</div>
-				<div class="modal-body">
-				<div class="alert alert-block alert-success">						
-					<p>
-						QuÃ­ vá» cÃ³ thá» thay Äá»i Sá» Äiá»n thoáº¡i Äang sá»­ dá»¥ng báº±ng cÃ¡ch: TrÃªn sá» Äiá»n thoáº¡i má»i, quÃ­ vá» soáº¡n tin theo cÃº phÃ¡p: <strong>SBG DDT [SoDTCu] [MatKhau]</strong> gá»­i tá»i <strong>8062</strong>.
-					</p>
-				</div>
-			</div>
-		</div>
-	</div>
-</div>
-
-<div class="modal fade" id="changePassSuccess" tabindex="-1" role="dialog"aria-hidden="true">
-	<div class="modal-dialog">
-		<div class="modal-content">
-			<div class="modal-header">
-				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
-				<h4 class="modal-title">Äá»i máº­t kháº©u</h4>
-			</div>
-			<div class="modal-body">
-				<div class="alert alert-block alert-success"><center>QuÃ­ vá» ÄÃ£ Äá»i máº­t kháº©u thÃ nh cÃŽng !</center></div>
-				<center><button class="btn btn-primary" data-dismiss="modal">ÄÃ³ng</button></center>
-			</div>
-		
-		</div>
-	</div>
-</div>
-
-<div class="modal fade" id="updateInfoSuccess" tabindex="-1" role="dialog"aria-hidden="true">
-	<div class="modal-dialog">
-		<div class="modal-content">
-			<div class="modal-header">
-				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
-				<h4 class="modal-title">Cáº­p nháº­t thÃŽng tin</h4>
-			</div>
-			<div class="modal-body">
-				<div class="alert alert-block alert-success"><center>QuÃ­ vá» ÄÃ£ cáº­p nháº­t thÃŽng tin thÃ nh cÃŽng!</center></div>
-				<center><button id="close" class="btn btn-primary" data-dismiss="modal">ÄÃ³ng</button></center>
-			</div>
-		
-		</div>
-	</div>
-</div>
-
-<?php
-$this->load->view('layout/frontend/footer', array('base_url' => $base_url, 'usjs' => array('assets/js/frontend/user.js')));
-?>