Index: pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php
===================================================================
--- pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 512)
+++ pro-violet-viettel/sourcecode/application/modules/frontend/views/user_profile.php	(revision 519)
@@ -3,8 +3,4 @@
 $this->load->view('layout/frontend/header', array('base_url' => $base_url, '$username' => @$username));
 $this->load->view('layout/frontend/sidebar', array('base_url' => $base_url));
-/*
-  $this->load->view('layout/frontend/header', array('base_url'=>base_url(), '$username'=>$username));
-  $base_url = base_url();
-  $this->load->view('layout/frontend/sidebar', array('base_url'=>base_url())); */
 ?>
 <div class="main-content">
@@ -71,5 +67,5 @@
 
                                                     <div class="col-sm-8">
-                                                        <input type="text" name="username" value="<?php echo @$username; ?>" placeholder="TÃ i khoáº£n" id="form-field-username" class="col-xs-12 col-sm-10" disabled>
+                                                        <input type="text" name="username" value="<?php echo @$username; ?>" placeholder="Sá» Äiá»n thoáº¡i" id="form-field-username" class="col-xs-12 col-sm-10" disabled>
                                                     </div>
                                                 </div>
@@ -82,5 +78,5 @@
 														
 														<div class="col-sm-8">
-															<input type="text" name="fullname" value="<?php echo @$fullname; ?>" placeholder="Há»" id="form-field-first" class="col-xs-12 col-sm-10" <?php if (@$use_package) echo 'disabled'; ?>>
+															<input type="text" name="fullname" value="<?php echo @$fullname; ?>" placeholder="Há» vÃ  tÃªn" id="form-field-first" class="col-xs-12 col-sm-10" <?php if (@$use_package) echo 'disabled'; ?>>
 
 														</div>
@@ -190,9 +186,6 @@
 											
 											<p>
-												QuÃ­ vá» cÅ©ng cÃ³ thá» thay Äá»i máº­t kháº©u báº±ng cÃ¡ch dÃ¹ng sá» Äiá»n thoáº¡i <strong>[SoDTKhachhang]</strong> vÃ  soáº¡n tin theo cÃº phÃ¡p: <strong>SBG MK [MatKhauMoi]</strong> gá»­i tá»i <strong>8062</strong>. 
+												QuÃ­ vá» cÅ©ng cÃ³ thá» thay Äá»i máº­t kháº©u báº±ng cÃ¡ch dÃ¹ng sá» Äiá»n thoáº¡i <strong><?php echo $username; ?></strong> vÃ  soáº¡n tin theo cÃº phÃ¡p: <strong>SBG MK [MatKhauMoi]</strong> gá»­i tá»i <strong>8062</strong>. 
 											<p/>
-											<p>
-												Äá» láº¥y láº¡i máº­t kháº©u cá»§a mÃ¬nh trÃªn há» thá»ng SBG Online, QuÃ­ vá» hÃ£y dÃ¹ng <strong>sá» Äiá»n thoáº¡i ÄÃ£ ÄÄng kÃ­ tÃ i khoáº£n</strong> vÃ  soáº¡n tin theo cÃº phÃ¡p: <strong>SBG MK</strong> gá»­i tá»i <strong>8062</strong>.
-											</p>
 										</div>
                                 </div>
@@ -204,15 +197,13 @@
                                             <h4>Sá» tiá»n </h4> <h3><?php echo number_format(@$acc_balanced, 0); ?> VND</h3>
                                         </div>
-                                        <div class="col-sm-6">
-                                            <h4>Thá»i háº¡n sá»­ dá»¥ng </h4> <h3><?php echo @$expire_date; ?> <span class="badge"><?php echo @$date_diff; ?></span></h3>
-                                        </div>
-
                                         <h4 class="header blue bolder smaller">Náº¡p tiá»n báº±ng tháº» cÃ o</h4>
+										
                                         <div class="col-sm-8">
+											<div class="block clearfix has-error"></div>
                                             <div class="form-group">
                                                 <label for="form-field-pass1" class="col-sm-2 control-label no-padding-right">MÃ£ tháº»</label>
 
                                                 <div class="col-sm-10">
-                                                    <input type="text" id="form-field-pass1" class="form-control">
+                                                    <input type="text" id="form-field-pass1" name="pin_card" class="form-control">
                                                 </div>
                                             </div>
@@ -224,10 +215,10 @@
 
                                                 <div class="col-sm-10">
-                                                    <input type="text" id="form-field-pass2" class="form-control">
+                                                    <input type="text" id="form-field-pass2" name="card_serial" class="form-control">
                                                 </div>
                                             </div>
                                         </div>
                                         <div class="col-sm-4">
-                                            <button type="button" class="btn btn-success" data-toggle="modal" data-target="#alert-payment">
+                                            <button type="button" onclick="return chargeCard(<?php echo @$us_id; ?>);" class="btn btn-success">
                                                 <i class="icon-ok bigger-110"></i>
                                                 Tiáº¿p tá»¥c
@@ -243,5 +234,5 @@
                                             <p>
                                                 Sá»­ dá»¥ng thuÃª bao <strong><?php echo @$username; ?></strong> soáº¡n tin nháº¯n: <strong>SBG NAP [sotien] gá»­i 8062</strong>. <br/>
-                                                Náº¿u quÃ­ vá» sá»­ dá»¥ng thuÃª bao Viettel khÃ¡c thÃ¬ soáº¡n tin nháº¯n: <strong>SBG NAP [tentruynhap] 
+                                                Náº¿u quÃ­ vá» sá»­ dá»¥ng thuÃª bao Viettel khÃ¡c thÃ¬ soáº¡n tin nháº¯n: <strong>SBG NAP <?php echo $username; ?>
                                                     [sotien] gá»­i tá»i 8062</strong>.
                                             </p>
@@ -253,5 +244,6 @@
                                         <h4 class="header blue bolder smaller">ThÃŽng tin tÃ i khoáº£n</h4>
                                         <div class="col-sm-6">
-                                            <h4>Sá» tiá»n trong tÃ i khoáº£n SBG Online </h4> <h3><?php echo number_format(@$acc_balanced, 0); ?> VND<span id="add_money" style="cursor:pointer" class="badge">Náº¡p thÃªm tiá»n</span></h3>
+                                            <h4>Sá» tiá»n trong tÃ i khoáº£n SBG Online </h4> <h3><?php echo number_format(@$acc_balanced, 0); ?> VND <span id="add_money" style="cursor:pointer" class="badge" >Náº¡p thÃªm tiá»n</span></h3>
+											
                                         </div>
                                         <div class="col-sm-6">
@@ -453,4 +445,36 @@
 </div>
 
+<div class="modal fade" id="success_charge" tabindex="-1" role="dialog"aria-hidden="true">
+	<div class="modal-dialog">
+		<div class="modal-content">
+			<div class="modal-header">
+				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
+				<h4 class="modal-title">Náº¡p tiá»n</h4>
+			</div>
+			<div class="modal-body">
+				<div id="success_package_register_content" class="alert alert-block alert-success"><center>QuÃ­ vá» ÄÃ£ náº¡p thÃ nh cÃŽng [SoTien] vÃ o tÃ i khoáº£n <?php echo $username; ?>, tÃ i khoáº£n áº£o cá»§a quÃ­ lÃ  [TaiKhoanAO]!</center></div>
+				<center><button id="package_register_finish_button" data-dismiss="modal" class="btn btn-primary" >ÄÃ³ng</button></center>
+			</div>
+		
+		</div>
+	</div>
+</div>
+
+<div class="modal fade" id="not_success_charge" tabindex="-1" role="dialog"aria-hidden="true">
+	<div class="modal-dialog">
+		<div class="modal-content">
+			<div class="modal-header">
+				<button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
+				<h4 class="modal-title">Náº¡p tiá»n</h4>
+			</div>
+			<div class="modal-body">
+				<div id="success_package_register_content" class="alert alert-block alert-success"><center>MÃ£ tháº» hoáº·c Serial khÃŽng dÃºng hoáº·c ÄÃ£ ÄÆ°á»£c sá»­ dá»¥ng. QuÃ­ vá» hÃ£y kiá»m tra láº¡i!</center></div>
+				<center><button id="package_register_finish_button" data-dismiss="modal" class="btn btn-primary" >ÄÃ³ng</button></center>
+			</div>
+		
+		</div>
+	</div>
+</div>
+
 <script type="text/javascript">
 var url="<?php echo base_url();?>";